<!-- <template>
  <div class="banner-box">
    <swiper
      :modules="modules"
      :pagination="{ clickable: true }"
      class="mySwiper"
    >
      <swiper-slide v-for="(imagesItem, index) in imagesList" :key="index">
        <img
          :src="imagesItem.urlImg"
          :alt="imagesItem.title"
          width="100%"
          height=""
        />
      </swiper-slide>
    </swiper>
  </div>
</template>

<script>
import { Pagination } from "swiper";
import { Swiper, SwiperSlide } from "swiper/vue";
import "swiper/css";
import "swiper/css/pagination";
export default {
  data() {
    return {
      imagesList: [
        {
          title: "Banner 1",
          urlImg: "../../assets/images/banner-1.jpg",
        },
        {
          title: "Banner 1",
          urlImg: "../../assets/images/banner-1.jpg",
        },
      ],
    };
  },
  components: {
    Swiper,
    SwiperSlide,
  },
  setup() {
    return {
      modules: [Pagination],
    };
  },
};
</script>

<style lang="scss">
.swiper-pagination-bullet {
  min-height: 22px;
  background-color: rgba(0, 0, 0, 0.1);
  opacity: 1;
}
</style> -->

<template>
  <swiper ref="mySwiper" :options="swiperOptions">
    <swiper-slide>Slide 1</swiper-slide>
    <swiper-slide>Slide 2</swiper-slide>
    <swiper-slide>Slide 3</swiper-slide>
    <swiper-slide>Slide 4</swiper-slide>
    <swiper-slide>Slide 5</swiper-slide>
    <div class="swiper-pagination" slot="pagination"></div>
  </swiper>
</template>

<script>
import { Swiper, SwiperSlide } from 'vue-awesome-swiper'
export default {
  components: {
    Swiper,
    SwiperSlide,
  },
  data() {
    return {
       swiperOptions: {
        autoplay: {
          delay: 4000,
          disableOnInteraction: false,
        },
        pagination: {
          el: '.swiper-pagination',
          clickable: true,
        },
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev',
        },
      },
    };
  },
  computed: {
    swiper() {
      return this.$refs.mySwiper.$swiper;
    },
  },
  mounted() {
    console.log("Current Swiper instance object", this.swiper);
    this.swiper.slideTo(3, 1000, false);
  },
};
</script>

<style></style>
